#
# spec file for package magicsqr (Version 1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         magicsqr
Copyright:    GPL
Group:        Applications/Math
Autoreqprov:  on
Version:      1.5
Release:      1
Summary:      Magic squares
URL:          ftp://ftp.ac-grenoble.fr/ge/mathematics
Source:       magicsqr-%{version}.tar.bz2
Patch:        magicsqr-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
This program produces magic squares.  One nice feature is that is that
the program produces HTML tables out of magic squares.  The program
does other functions like checking to make sure that the square is
magic.

Authors:
--------
    Paul Landes <landes@unt.edu>

%prep
%setup
%patch

%build
make magicsqr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/games,%{_mandir}/man6}
install magicsqr magicsqr.sh $RPM_BUILD_ROOT/usr/games
install -m 644 magicsqr.6 $RPM_BUILD_ROOT/%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/games/*
%{_mandir}/man6/*
%doc README

%changelog -n magicsqr
* Thu Oct 25 2001 - nadvornik@suse.cz
- new package, version 1.5
